Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMat Booth2018-07-13 09:12:17 -0400
committerMat Booth2018-07-13 09:17:57 -0400
commitf2d081cc362fccde148fbd5bfc05b61728289e8b (patch)
treefaf49f789c01a6cf569c2852ceb5a61975be4ceb /framework/bundles
parent2fa5b87e1f0764f9abb081904ecba5b340c25893 (diff)
downloadorg.eclipse.ecf-f2d081cc362fccde148fbd5bfc05b61728289e8b.tar.gz
org.eclipse.ecf-f2d081cc362fccde148fbd5bfc05b61728289e8b.tar.xz
org.eclipse.ecf-f2d081cc362fccde148fbd5bfc05b61728289e8b.zip
Fix for bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=534087
Backport console bundle metadata changes from osgir7 branch Allow building/running against Oxygen or Photon by keeping the require-bundle, but making it optional, so it may be fulfilled by either the old-style felix-gogo bundle from Oxygen or any bundle that supplies the felix.service.command package like the new-style felix-gogo bundle from Photon. Change-Id: I438c815319c2156c689b1ac90f211258e2bb9e5c Signed-off-by: Mat Booth <mat.booth@redhat.com>
Diffstat (limited to 'framework/bundles')
-rw-r--r--framework/bundles/org.eclipse.ecf.console/META-INF/MANIFEST.MF10
-rw-r--r--framework/bundles/org.eclipse.ecf.console/pom.xml2
2 files changed, 6 insertions, 6 deletions
diff --git a/framework/bundles/org.eclipse.ecf.console/META-INF/MANIFEST.MF b/framework/bundles/org.eclipse.ecf.console/META-INF/MANIFEST.MF
index c13adc2f3..b648c551b 100644
--- a/framework/bundles/org.eclipse.ecf.console/META-INF/MANIFEST.MF
+++ b/framework/bundles/org.eclipse.ecf.console/META-INF/MANIFEST.MF
@@ -4,11 +4,11 @@ Bundle-Name: %plugin.name
Bundle-SymbolicName: org.eclipse.ecf.console
Automatic-Module-Name: org.eclipse.ecf.console
Bundle-Vendor: %plugin.provider
-Bundle-Version: 1.1.0.qualifier
+Bundle-Version: 1.2.0.qualifier
Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,
- J2SE-1.5
-Import-Package: org.eclipse.ecf.core;version="[3.0.0,4.0.0)",
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Import-Package: org.apache.felix.service.command;version="[0.10.0,2.0.0)";resolution:=optional,
+ org.eclipse.ecf.core;version="[3.0.0,4.0.0)",
org.eclipse.ecf.core.identity;version="[3.0.0,4.0.0)",
org.eclipse.ecf.core.util;version="[3.0.0,4.0.0)",
org.osgi.framework;version="[1.3.0,2.0.0)",
@@ -16,6 +16,6 @@ Import-Package: org.eclipse.ecf.core;version="[3.0.0,4.0.0)",
org.osgi.util.tracker;version="[1.3.0,2.0.0)"
Bundle-Localization: plugin
Require-Bundle: org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)",
- org.apache.felix.gogo.runtime;bundle-version="0.10.0"
+ org.apache.felix.gogo.runtime;bundle-version="[0.10.0,2.0.0)";resolution:=optional
Service-Component: OSGI-INF/org.eclipse.ecf.internal.console.ContainerCommand.xml
Export-Package: org.eclipse.ecf.console;version="1.0.0"
diff --git a/framework/bundles/org.eclipse.ecf.console/pom.xml b/framework/bundles/org.eclipse.ecf.console/pom.xml
index fba496e30..73fc8a69c 100644
--- a/framework/bundles/org.eclipse.ecf.console/pom.xml
+++ b/framework/bundles/org.eclipse.ecf.console/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.console</artifactId>
- <version>1.1.0-SNAPSHOT</version>
+ <version>1.2.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>

Back to the top